Tags
These API's allows to Create, Update and Delete Tags.
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/tags-api/v1/tags
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'POST /tags-api/v1/tags
This API allows you to Create a Tag.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"tag": {
"type": "string",
"description": "The name of the tag to be created."
}
},
"required": {
"0": "tag"
},
"description": "Request object for creating a new tag."
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | CreateTagRequest |
Response
201 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the tag creation operation."
},
"message": {
"type": "string",
"description": "A human readable message describing the result of the tag creation."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the tag creation operation occurred."
},
"id": {
"type": "string",
"description": "The unique identifier assigned to the newly created tag."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp",
"3": "id"
},
"description": "Response object for the tag creation operation."
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a bad request."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The specific API error code or identifier."
},
"message": {
"type": "string",
"description": "A human readable error message describing the issue."
}
},
"required": {
"0": "timestamp",
"1": "errorAPI",
"2": "message"
},
"description": "Details of an individual error within the array."
}
}
},
"required": {
"0": "status",
"1": "errors"
},
"description": "Response object for a bad request, containing details about errors."
}
]409 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a duplicate tag creation attempt."
},
"message": {
"type": "string",
"description": "A human readable message describing the duplicate tag creation attempt."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the duplicate tag creation attempt occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response object for a duplicate tag creation attempt."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a failure related to tag processing."
},
"message": {
"type": "string",
"description": "A human readable message describing the details of the tag processing failure."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the tag processing failure occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response object for a failure related to tag processing."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 201 | 201 response | CreateTagResponse |
| 400 | 400 response | BadRequest |
| 409 | 409 response | CreateTagDuplicate |
| 500 | 500 response | TagFailure |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/tags-api/v1/tags
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /tags-api/v1/tags
This API allows you to get all Tags.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| from | query | integer | false |
| size | query | integer | false |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the get tags operation."
},
"message": {
"type": "string",
"description": "A human readable message describing the result of the get tags operation."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the get tags operation occurred."
},
"pagination": {
"type": "object",
"properties": {
"total": {
"type": "integer",
"description": "The total number of tags available."
},
"size": {
"type": "integer",
"description": "The number of tags in the current response."
},
"from": {
"type": "integer",
"description": "The index from which the tags are being retrieved."
}
},
"required": {
"0": "total",
"1": "size",
"2": "from"
},
"description": "Pagination details for the list of tags."
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"createdDate": {
"type": "string",
"description": "The date when the tag was created."
},
"tag": {
"type": "string",
"description": "The name of the tag."
}
},
"required": {
"0": "createdDate",
"1": "tag"
}
}
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp",
"3": "pagination",
"4": "data"
},
"description": "Response object for the get tags operation."
}
]204 response
copied![
{
"type": "object",
"description": "Response indicating no data has been found.",
"properties": {}
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a bad request."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The specific API error code or identifier."
},
"message": {
"type": "string",
"description": "A human readable error message describing the issue."
}
},
"required": {
"0": "timestamp",
"1": "errorAPI",
"2": "message"
},
"description": "Details of an individual error within the array."
}
}
},
"required": {
"0": "status",
"1": "errors"
},
"description": "Response object for a bad request, containing details about errors."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | GetTagsResponse |
| 204 | 204 response | NoContentResponse |
| 400 | 400 response | BadRequest |
delete
copied!# You can also use wgetcurl -X DELETE https://api-qa.phenompro.com/tags-api/v1/tags/{tag}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'DELETE /tags-api/v1/tags/{tag}
This API Deletes Tag.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| tag | path | string | true |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating the result of a tag-related operation."
},
"message": {
"type": "string",
"description": "A human readable message describing the result of the tag-related operation."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the tag-related operation occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response object for a tag-related operation."
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a bad request."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The specific API error code or identifier."
},
"message": {
"type": "string",
"description": "A human readable error message describing the issue."
}
},
"required": {
"0": "timestamp",
"1": "errorAPI",
"2": "message"
},
"description": "Details of an individual error within the array."
}
}
},
"required": {
"0": "status",
"1": "errors"
},
"description": "Response object for a bad request, containing details about errors."
}
]404 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating that the tag to be deleted was not found."
},
"message": {
"type": "string",
"description": "A human readable message describing that the requested tag was not found for deletion."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the attempt to delete the tag not found occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response object for a tag deletion attempt when the tag was not found."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a failure related to tag processing."
},
"message": {
"type": "string",
"description": "A human readable message describing the details of the tag processing failure."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the tag processing failure occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response object for a failure related to tag processing."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | TagResponse |
| 400 | 400 response | BadRequest |
| 404 | 404 response | DeleteTagNotFound |
| 500 | 500 response | TagFailure |
put
copied!# You can also use wgetcurl -X PUT https://api-qa.phenompro.com/tags-api/v1/tags/{tag}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'PUT /tags-api/v1/tags/{tag}
This API facilitates to Update the Tag.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"newTagName": {
"description": "The new name of the tag.",
"type": "string"
}
},
"required": {
"0": "newTagName"
},
"description": "Request object for updating a tag.",
"example": {
"newTagName": "UpdatedTagName"
}
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| tag | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | UpdateTagRequest |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating the result of a tag-related operation."
},
"message": {
"type": "string",
"description": "A human readable message describing the result of the tag-related operation."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the tag-related operation occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response object for a tag-related operation."
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a bad request."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The specific API error code or identifier."
},
"message": {
"type": "string",
"description": "A human readable error message describing the issue."
}
},
"required": {
"0": "timestamp",
"1": "errorAPI",
"2": "message"
},
"description": "Details of an individual error within the array."
}
}
},
"required": {
"0": "status",
"1": "errors"
},
"description": "Response object for a bad request, containing details about errors."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a failure related to tag processing."
},
"message": {
"type": "string",
"description": "A human readable message describing the details of the tag processing failure."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the tag processing failure occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response object for a failure related to tag processing."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | TagResponse |
| 400 | 400 response | BadRequest |
| 500 | 500 response | TagFailure |
Candidates
These API's allows to Add and Remove Tags to Candidates.
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/tags-api/v1/tags/candidates
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'POST /tags-api/v1/tags/candidates
This API allows you to Associate Tags to Candidates.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"candidateIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of candidate IDs to be associated with the specified tags."
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of tags to be associated with the specified candidates."
}
},
"required": {
"0": "candidateIds",
"1": "tags"
},
"description": "Request object for associating tags with candidate IDs."
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | CandidateTagsAssociation |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating the result of a tag-related operation."
},
"message": {
"type": "string",
"description": "A human readable message describing the result of the tag-related operation."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the tag-related operation occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response object for a tag-related operation."
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a bad request."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The specific API error code or identifier."
},
"message": {
"type": "string",
"description": "A human readable error message describing the issue."
}
},
"required": {
"0": "timestamp",
"1": "errorAPI",
"2": "message"
},
"description": "Details of an individual error within the array."
}
}
},
"required": {
"0": "status",
"1": "errors"
},
"description": "Response object for a bad request, containing details about errors."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a failure related to tag processing."
},
"message": {
"type": "string",
"description": "A human readable message describing the details of the tag processing failure."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the tag processing failure occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response object for a failure related to tag processing."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | TagResponse |
| 400 | 400 response | BadRequest |
| 500 | 500 response | TagFailure |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/tags-api/v1/tags/candidates/delete
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'POST /tags-api/v1/tags/candidates/delete
This API allows you to Remove tags from Candidates.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"candidateIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of candidate IDs to be associated with the specified tags."
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of tags to be associated with the specified candidates."
}
},
"required": {
"0": "candidateIds",
"1": "tags"
},
"description": "Request object for associating tags with candidate IDs."
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | CandidateTagsAssociation |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating the result of a tag-related operation."
},
"message": {
"type": "string",
"description": "A human readable message describing the result of the tag-related operation."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the tag-related operation occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response object for a tag-related operation."
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a bad request."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The specific API error code or identifier."
},
"message": {
"type": "string",
"description": "A human readable error message describing the issue."
}
},
"required": {
"0": "timestamp",
"1": "errorAPI",
"2": "message"
},
"description": "Details of an individual error within the array."
}
}
},
"required": {
"0": "status",
"1": "errors"
},
"description": "Response object for a bad request, containing details about errors."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a failure related to tag processing."
},
"message": {
"type": "string",
"description": "A human readable message describing the details of the tag processing failure."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the tag processing failure occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response object for a failure related to tag processing."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | TagResponse |
| 400 | 400 response | BadRequest |
| 500 | 500 response | TagFailure |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/tags-api/v1/tags/{tag}/candidates
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /tags-api/v1/tags/{tag}/candidates
This API allows you to get all CandidateIds for given Tag.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| tag | path | string | true |
| from | query | integer | false |
| size | query | integer | false |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Indicates the status of the operation (e.g., success, failure)."
},
"message": {
"type": "string",
"description": "A human readable message providing details about the operation result."
},
"timestamp": {
"type": "string",
"description": "Timestamp indicating when the operation was performed."
},
"pagination": {
"type": "object",
"properties": {
"size": {
"type": "number",
"description": "Number of candidateIds per page in the paginated response."
},
"from": {
"type": "number",
"description": "Index of the first candidateId in the current response."
},
"totalCount": {
"type": "number",
"description": "Total count of candidateIds."
}
},
"required": {
"0": "size",
"1": "from",
"2": "totalCount"
},
"description": "Pagination information for the response."
},
"data": {
"type": "array",
"items": {
"type": "string"
},
"description": "Array of strings containing candidateIds."
}
}
}
]204 response
copied![
{
"type": "object",
"description": "Response indicating no data has been found.",
"properties": {}
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a bad request."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The specific API error code or identifier."
},
"message": {
"type": "string",
"description": "A human readable error message describing the issue."
}
},
"required": {
"0": "timestamp",
"1": "errorAPI",
"2": "message"
},
"description": "Details of an individual error within the array."
}
}
},
"required": {
"0": "status",
"1": "errors"
},
"description": "Response object for a bad request, containing details about errors."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | GetTagAssociationsResponse |
| 204 | 204 response | NoContentResponse |
| 400 | 400 response | BadRequest |
Schemas
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Indicates the status of the operation (e.g., success, failure)."
},
"message": {
"type": "string",
"description": "A human readable message providing details about the operation result."
},
"timestamp": {
"type": "string",
"description": "Timestamp indicating when the operation was performed."
},
"pagination": {
"type": "object",
"properties": {
"size": {
"type": "number",
"description": "Number of candidateIds per page in the paginated response."
},
"from": {
"type": "number",
"description": "Index of the first candidateId in the current response."
},
"totalCount": {
"type": "number",
"description": "Total count of candidateIds."
}
},
"required": [
"size",
"from",
"totalCount"
],
"description": "Pagination information for the response."
},
"data": {
"type": "array",
"items": {
"type": "string"
},
"description": "Array of strings containing candidateIds."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Indicates the status of the operation (e.g., success, failure). |
| message | string | A human readable message providing details about the operation result. |
| timestamp | string | Timestamp indicating when the operation was performed. |
| pagination | object | Pagination information for the response. |
| size | number | Number of candidateIds per page in the paginated response. |
| from | number | Index of the first candidateId in the current response. |
| totalCount | number | Total count of candidateIds. |
| data | [string] | Array of strings containing candidateIds. |
copied!{
"type": "object",
"properties": {
"newTagName": {
"description": "The new name of the tag.",
"type": "string"
}
},
"required": [
"newTagName"
],
"description": "Request object for updating a tag.",
"example": {
"newTagName": "UpdatedTagName"
}
}Properties
| Name | Type | Description |
|---|---|---|
| newTagName | string | The new name of the tag. |
copied!{
"type": "object",
"properties": {
"tag": {
"type": "string",
"description": "The name of the tag to be created."
}
},
"required": [
"tag"
],
"description": "Request object for creating a new tag."
}Properties
| Name | Type | Description |
|---|---|---|
| tag | string | The name of the tag to be created. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the tag creation operation."
},
"message": {
"type": "string",
"description": "A human readable message describing the result of the tag creation."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the tag creation operation occurred."
},
"id": {
"type": "string",
"description": "The unique identifier assigned to the newly created tag."
}
},
"required": [
"status",
"message",
"timestamp",
"id"
],
"description": "Response object for the tag creation operation."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status of the tag creation operation. |
| message | string | A human readable message describing the result of the tag creation. |
| timestamp | string | The timestamp indicating when the tag creation operation occurred. |
| id | string | The unique identifier assigned to the newly created tag. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a bad request."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The specific API error code or identifier."
},
"message": {
"type": "string",
"description": "A human readable error message describing the issue."
}
},
"required": [
"timestamp",
"errorAPI",
"message"
],
"description": "Details of an individual error within the array."
}
}
},
"required": [
"status",
"errors"
],
"description": "Response object for a bad request, containing details about errors."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status indicating a bad request. |
| errors | [object] | Details of an individual error within the array. |
| timestamp | string | The timestamp when the error occurred. |
| errorAPI | string | The specific API error code or identifier. |
| message | string | A human readable error message describing the issue. |
copied!{
"type": "object",
"description": "Response indicating no data has been found.",
"properties": {}
}Properties
| Name | Type |
|---|
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a duplicate tag creation attempt."
},
"message": {
"type": "string",
"description": "A human readable message describing the duplicate tag creation attempt."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the duplicate tag creation attempt occurred."
}
},
"required": [
"status",
"message",
"timestamp"
],
"description": "Response object for a duplicate tag creation attempt."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status indicating a duplicate tag creation attempt. |
| message | string | A human readable message describing the duplicate tag creation attempt. |
| timestamp | string | The timestamp indicating when the duplicate tag creation attempt occurred. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a failure related to tag processing."
},
"message": {
"type": "string",
"description": "A human readable message describing the details of the tag processing failure."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the tag processing failure occurred."
}
},
"required": [
"status",
"message",
"timestamp"
],
"description": "Response object for a failure related to tag processing."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status indicating a failure related to tag processing. |
| message | string | A human readable message describing the details of the tag processing failure. |
| timestamp | string | The timestamp indicating when the tag processing failure occurred. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the get tags operation."
},
"message": {
"type": "string",
"description": "A human readable message describing the result of the get tags operation."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the get tags operation occurred."
},
"pagination": {
"type": "object",
"properties": {
"total": {
"type": "integer",
"description": "The total number of tags available."
},
"size": {
"type": "integer",
"description": "The number of tags in the current response."
},
"from": {
"type": "integer",
"description": "The index from which the tags are being retrieved."
}
},
"required": [
"total",
"size",
"from"
],
"description": "Pagination details for the list of tags."
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"createdDate": {
"type": "string",
"description": "The date when the tag was created."
},
"tag": {
"type": "string",
"description": "The name of the tag."
}
},
"required": [
"createdDate",
"tag"
]
}
}
},
"required": [
"status",
"message",
"timestamp",
"pagination",
"data"
],
"description": "Response object for the get tags operation."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status of the get tags operation. |
| message | string | A human readable message describing the result of the get tags operation. |
| timestamp | string | The timestamp indicating when the get tags operation occurred. |
| pagination | object | Pagination details for the list of tags. |
| total | integer | The total number of tags available. |
| size | integer | The number of tags in the current response. |
| from | integer | The index from which the tags are being retrieved. |
| data | [object] | |
| createdDate | string | The date when the tag was created. |
| tag | string | The name of the tag. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating the result of a tag-related operation."
},
"message": {
"type": "string",
"description": "A human readable message describing the result of the tag-related operation."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the tag-related operation occurred."
}
},
"required": [
"status",
"message",
"timestamp"
],
"description": "Response object for a tag-related operation."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status indicating the result of a tag-related operation. |
| message | string | A human readable message describing the result of the tag-related operation. |
| timestamp | string | The timestamp indicating when the tag-related operation occurred. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating that the tag to be deleted was not found."
},
"message": {
"type": "string",
"description": "A human readable message describing that the requested tag was not found for deletion."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the attempt to delete the tag not found occurred."
}
},
"required": [
"status",
"message",
"timestamp"
],
"description": "Response object for a tag deletion attempt when the tag was not found."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status indicating that the tag to be deleted was not found. |
| message | string | A human readable message describing that the requested tag was not found for deletion. |
| timestamp | string | The timestamp indicating when the attempt to delete the tag not found occurred. |
copied!{
"type": "object",
"properties": {
"candidateIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of candidate IDs to be associated with the specified tags."
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of tags to be associated with the specified candidates."
}
},
"required": [
"candidateIds",
"tags"
],
"description": "Request object for associating tags with candidate IDs."
}Properties
| Name | Type | Description |
|---|---|---|
| candidateIds | [string] | An array of candidate IDs to be associated with the specified tags. |
| tags | [string] | An array of tags to be associated with the specified candidates. |
